> ## Documentation Index
> Fetch the complete documentation index at: https://docs.upwell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get One Vendor

> Get a vendor by ID



## OpenAPI

````yaml /api-reference/openapi.json get /api/rest/vendors/{id}
openapi: 3.1.0
info:
  description: >-
    Upwell is Accounts Receivable automation software for the logistics
    industry. We serve freight brokers, carriers, factors, and anyone who needs
    to get transportation invoices paid.


    Learn more at:


    - [Upwell.com](https://upwell.com)
  title: Upwell REST API
  version: 3.30.2
  termsOfService: https://upwell.com/legal
  contact:
    name: Upwell
    url: https://upwell.com
    email: contact@upwell.com
servers:
  - url: https://api.upwell.com
    description: Production server
  - url: https://staging.api.upwell.com
    description: Staging server
security: []
tags:
  - name: Invoice Approval
    description: Endpoints for managing customer invoice approval workflow
paths:
  /api/rest/vendors/{id}:
    get:
      tags:
        - Vendors
      summary: Get One Vendor
      description: Get a vendor by ID
      parameters:
        - description: >-
            Your API key will be used for authentication of the request.
            `Authorization: YOUR_API_KEY`
          in: header
          name: authorization
          schema:
            type: string
        - description: _"id" is required (enter it either in parameters or request body)_
          in: path
          name: id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  vendor:
                    description: Vendors
                    nullable: true
                    properties:
                      createdAt:
                        $ref: '#/components/schemas/timestamptz'
                      id:
                        nullable: false
                        title: String
                        type: string
                      name:
                        nullable: false
                        title: String
                        type: string
                      sourceSystem:
                        nullable: false
                        title: String
                        type: string
                      sourceSystemId:
                        nullable: false
                        title: String
                        type: string
                      sourceSystemMeta:
                        $ref: '#/components/schemas/jsonb'
                      updatedAt:
                        $ref: '#/components/schemas/timestamptz'
                    title: Vendors
                    type: object
          description: Responses for GET /api/rest/vendors/{id}
components:
  schemas:
    timestamptz:
      nullable: false
      title: timestamptz
      type: string
      format: date-time
      description: >-
        A timestamp with timezone in ISO 8601 format, such as
        2024-12-16T21:57:14.525733+00:00
    jsonb:
      nullable: false
      title: jsonb

````